\name{expand1}
\alias{expand1}
\title{Constructs quadratic and interaction terms}
\description{
  Function that constructs all interaction and quadratic terms of a data matrix and adds error to the correct variables according to what is described in the theory of the article 'SimSel - a new simulation method for variable selection' (submitted to Computational Statistics and Data Analysis)
}
\usage{
expand1(X)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{X}{The data matrix to be expanded}
}
\details{
Please see 'SimSel - a new simulation method for variable selection' (submitted to Computational Statistics and Data Analysis)
}
\value{
	A matrix containing the interaction and quadratic terms.
}
\references{ 'SimSel - a new simulation method for variable selection' (submitted to Computational Statistics and Data Analysis)}
\note{

}
\examples{
X <- matrix(rnorm(50), ncol=5)
expand1(X)

## The function is currently defined as
function(X)	{
	nam <- names(X)
	newNames <- NULL
	# Make sure we have matrices
	X <- as.matrix(X)
	D <- NULL
	counter <- 1
	for(i in 1:ncol(X))	{
		for(j in i:ncol(X))	{
			newNames[counter] <- paste(nam[i], "-",nam[j], sep="")
			counter <- counter + 1
			D <- cbind(D, X[,i]*X[,j])
		}
	}
	D <- as.data.frame(D)
	names(D) <- newNames
	return(D)
}
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{NA}
